
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number93</title>
</head>
	

<body>
	<h2> JavaScript Excercise </h2>
	
	<p> <b> No.93:</b>Write a JavaScript program to find the maximal difference among all possible pairs of a given array of integers. </p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 450px; height: auto;">
		<input type="number" id="num1" placeholder="Number of Array`s Element" style="width: 180px ;margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
		<pre id="demo"></pre>
	</div>
	<script>
	  function generate() {
		  var num = + document.getElementById('num1').value;
		  var arr = [] ;
		  var maxr = 0 ;
		  if (num>0) {
			  for(i=0 ; i<num ; i++) {
				  arr.push(prompt("Enter Array`s Element Number" + (i+1)));
				  arr.map(Number);
			  }
		  }
		  for (i=0 ; i <arr.length ; i++) {
			  for (k=0 ; k!=i && k<arr.length ; k++){
				  var diff = Math.abs(arr[i] - arr[k]);
				  maxr = Math.max(maxr , diff);
			  }
		  } document.getElementById('demo').innerHTML=
			  "The array you insert is:<br>[ " + arr.join(' , ') + " ]<br>" +
			  "The Max difference betweel all elements is:<br>" + maxr ;
	  }
	</script>
</body>
</html>
